VeritasClusterMapping (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.VeritasClusterMapping interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface VeritasClusterMapping

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface VeritasClusterMapping

extends ModelObject

Object containing data required for mapping from Veritas resources to CDM objects

Naming Rules:
  0="veritasType,modelClass"
Persistable:
  true
Table Name:
  VCSMAP
Display Name:
  modelClass

Method Summary
`VeritasClusterAttrMapping[]` | `getAttrMappings()`
`java.lang.String` | `getModelClass()`
`java.lang.String` | `getVeritasType()`
`boolean` | `hasAttrMappings()`
`boolean` | `hasModelClass()`
`boolean` | `hasVeritasType()`
`void` | `setAttrMappings(VeritasClusterAttrMapping[] attrMappings)`
`void` | `setModelClass(java.lang.String modelClass)`
`void` | `setVeritasType(java.lang.String veritasType)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getVeritasType

    java.lang.String getVeritasType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVeritasType

    void setVeritasType(java.lang.String veritasType)

### hasVeritasType

    boolean hasVeritasType()

### getModelClass

    java.lang.String getModelClass()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModelClass

    void setModelClass(java.lang.String modelClass)

### hasModelClass

    boolean hasModelClass()

### getAttrMappings

    VeritasClusterAttrMapping[] getAttrMappings()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttrMappings

    void setAttrMappings(VeritasClusterAttrMapping[] attrMappings)

### hasAttrMappings

    boolean hasAttrMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD